API ReferenceExecution APIReplay
Replay task event history
Returns all ledger events for the task in deterministic order (§14.2). replay_complete signals that the replay stream has ended.
AuthorizationBearer <token>
In: header
Scope: agp.execution.read, agp.execution.write
Path Parameters
taskId*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/agp/tasks/string/replay"{ "task_id": "string", "events": [ { "type": "EventLedgerRecord", "event_id": "string", "prev_event_hash": "string", "task_id": "string", "timestamp": "2019-08-24T14:15:22Z", "agent_id": "string", "principal_id": "string", "decision_ref": "string", "delegation_ref": "string", "evidence_refs": [ "string" ], "tool_action_ref": "string", "artifact_hashes": [ "string" ], "outcome": "initiated", "signature": { "alg": "string", "kid": "string", "issuer": "string", "issued_at": "2019-08-24T14:15:22Z", "payload_hash": "string", "value": "string" } } ], "replay_complete": true}{ "error": { "code": "AGP_INVALID_REQUEST", "message": "string", "retryable": true, "details": {} }}{ "error": { "code": "AGP_INVALID_REQUEST", "message": "string", "retryable": true, "details": {} }}{ "error": { "code": "AGP_INVALID_REQUEST", "message": "string", "retryable": true, "details": {} }}